net.sourceforge.pmd.symboltable

## Class VariableNameDeclarationTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.VariableNameDeclarationTest

    public class VariableNameDeclarationTest
    extends STBBaseTst

### Field Summary

Fields
`static String` `TEST1`
`static String` `TEST2`
`static String` `TEST3`
`static String` `TEST4`
`static String` `TEST5`

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`VariableNameDeclarationTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testArrayIsReferenceType()`
`void` `testConstructor()`
`void` `testExceptionBlkParam()`
`void` `testIsArray()`
`void` `testParamTypeImage()`
`void` `testPrimitiveType()`
`void` `testPrimitiveTypeImage()`
`void` `testRefTypeImage()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST1

    public static final String TEST1

#### TEST2

    public static final String TEST2

#### TEST3

    public static final String TEST3

#### TEST4

    public static final String TEST4

#### TEST5

    public static final String TEST5

### Constructor Detail

#### VariableNameDeclarationTest

    public VariableNameDeclarationTest()

### Method Detail

#### testConstructor

    public void testConstructor()

#### testExceptionBlkParam

    public void testExceptionBlkParam()

#### testIsArray

    public void testIsArray()

#### testPrimitiveType

    public void testPrimitiveType()

#### testArrayIsReferenceType

    public void testArrayIsReferenceType()

#### testPrimitiveTypeImage

    public void testPrimitiveTypeImage()

#### testRefTypeImage

    public void testRefTypeImage()

#### testParamTypeImage

    public void testParamTypeImage()

#### suite

    public static junit.framework.Test suite()